import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="customersegmentationrfm",                     # This is the name of the package
    version="0.0.1",                        # The initial release version
    author="Nune Meliksetyan",                     # Full name of the author
    description="Customer Segmentation: RFM Anlaysis",
    long_description=long_description,      # Long description read from the the readme file
    long_description_content_type="text/markdown",
    url="https://github.com/NMeliksetyan/customer_segmentation",
    packages=setuptools.find_packages(),    # List of all python modules to be installed
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],                                      # Information to filter the project on PyPi website
    python_requires='>=3.6',                # Minimum version requirement of the package
    py_modules=["problemsolver"],             # Name of the python package
    package_dir={'./':'cs_rfm'},     # Directory of the source code of the package
    install_requires=['pandas>=1.2.4', 'numpy>=1.20.1', 'matplotlib>=3.3.4']    # Install other dependencies if any
)


